#include<iostream>
using namespace std;
int main()
{
    long long L,m,n,brskok=0;
    cin>>L>>m>>n;
    L=L-m;
    brskok++;
    if(L<0)
    {
        cout<<1;
    }
    else
    {
        do
        {
            m+=n;
            L-=m;
            brskok++;
        }
        while(L>=0);
        cout<<brskok;
    }

    return 0;
}
